Bug 174282 - [PATCH] 'find-requires' parses some objdump info incorrectly
[PATCH] 'find-requires' parses some objdump info incorrectly
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
Depends On:
  Show dependency treegraph
Reported: 2005-11-27 04:35 EST by Enrico Scholz
Modified: 2008-03-09 19:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 19:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixes 'find-requires' on ARM platforms (466 bytes, patch)
2005-11-27 04:35 EST, Enrico Scholz
no flags Details | Diff

  None (edit)
Description Enrico Scholz 2005-11-27 04:35:48 EST
Description of problem:

Some platforms (e.g. arm) have additional data in objectfiles which
get reported by 'objdump' in a way like

| $ arm-xscale-linux-gnu-objdump -p /var/tmp/sessiondir-ensc.1126455583.ms4206/tmp/cross-arm-xscale-linux-gnu-glibc-2.3.6-1.1-root-ensc/usr/arm-xscale-linux-gnu/sys-root/lib/gconv/ISO8859-10.so 
| /var/tmp/sessiondir-ensc.1126455583.ms4206/tmp/cross-arm-xscale-linux-gnu-glibc-2.3.6-1.1-root-ensc/usr/arm-xscale-linux-gnu/sys-root/lib/gconv/ISO8859-10.so:     file format elf32-littlearm
| ...
| Version References:
|   required from libc.so.6:
|     0x09691f73 0x00 04 GLIBC_2.1.3
|     0x0d696911 0x00 03 GLIBC_2.1
|     0x0d696910 0x00 02 GLIBC_2.0
| private flags = 2: [APCS-32] [FPA float format] [has entry point]

(note the 'private flags section')

This creates broken results like

| libc.so.6
| libc.so.6(2:)
| libc.so.6(GLIBC_2.0)

(note the 2nd line).

The attached patch fixes this.

Version-Release number of selected component (if applicable):

Comment 1 Enrico Scholz 2005-11-27 04:35:49 EST
Created attachment 121517 [details]
Fixes 'find-requires' on ARM platforms
Comment 2 Christian Iseli 2007-01-19 19:59:14 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 3 petrosyan 2008-03-09 19:13:25 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.